Bug 1125993 - [RFE] Sync: There should be a checkbox next to each product to select all ONLY for that product's repos.
Summary: [RFE] Sync: There should be a checkbox next to each product to select all ONL...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Repositories
Version: 6.0.3
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Unspecified
Assignee: Christine Fouant
QA Contact: Katello QA List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-01 14:34 UTC by Corey Welton
Modified: 2017-04-17 18:35 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-04-17 18:35:16 UTC


Attachments (Terms of Use)

Description Corey Welton 2014-08-01 14:34:37 UTC
Description of problem:
We have "Select None" and "Select All" switches atop the sync status UI, but that is not as useful when you have, say, a half dozen products, each containing several repos, that you may or may not want to sync.

Each product should have its own checkbox which selects/unselects all repos within the product.  

This would of course probably need to assure that the "Select None", "Select All" links trigger such "parent" checkboxes vs each individual repo checkbox, as to avoid any logic confusion in the implementation.

Version-Release number of selected component (if applicable):
Satellite-6.0.4-RHEL-6-20140730.0

Comment 2 Bryan Kearney 2016-07-08 20:26:49 UTC
Per 6.3 planning, moving out non acked bugs to the backlog

Comment 4 Og Maciel 2017-04-17 18:35:16 UTC
This is an older bug which I do not envision being addressed in the near term. I am closing this out. If you believe doing so is an issue, please feel free to re-open and provide additional business information. Thank you.


Note You need to log in before you can comment on or make changes to this bug.